Package org.opensaml.soap.client.messaging

# Class SOAPClientPipelineNameMappingPredicate

java.lang.Object
org.opensaml.soap.client.messaging.SOAPClientPipelineNameMappingPredicate

All Implemented Interfaces:
  `Predicate<MessageContext>`

public class SOAPClientPipelineNameMappingPredicate extends Object implements Predicate<MessageContext>
Predicate implementation which resolves a delegate predicate based on the SOAP client pipeline name, obtained via a lookup of `SOAPClientContext`, by default a direct child of the parent `InOutOperationContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<String,Predicate<MessageContext>>`
`delegateMap`
Map of pipeline names to delegate predicates.
`private org.slf4j.Logger`
`log`
Logger.
`private Function<MessageContext,SOAPClientContext>`
`soapClientContextLookup`
Lookup strategy for the SOAP client context.

## Constructor Summary

Constructors
Constructor
Description
`SOAPClientPipelineNameMappingPredicate(Map<String,Predicate<MessageContext>> mappings)`
Constructor.
`SOAPClientPipelineNameMappingPredicate(Map<String,Predicate<MessageContext>> mappings, ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(MessageContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### soapClientContextLookup

@Nonnull private Function<MessageContext,SOAPClientContext> soapClientContextLookup
Lookup strategy for the SOAP client context.

### delegateMap

@Nonnull private Map<String,Predicate<MessageContext>> delegateMap
Map of pipeline names to delegate predicates.

## Constructor Details

### SOAPClientPipelineNameMappingPredicate

public SOAPClientPipelineNameMappingPredicate(@Nonnull @ParameterName(name="mappings") Map<String,Predicate<MessageContext>> mappings)
Constructor.

Parameters:
  `mappings` - the pipeline to delegate mappings

### SOAPClientPipelineNameMappingPredicate

public SOAPClientPipelineNameMappingPredicate(@Nonnull @ParameterName(name="mappings") Map<String,Predicate<MessageContext>> mappings, @Nullable @ParameterName(name="lookupStrategy") ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)
Constructor.

Parameters:
  `mappings` - the pipeline to delegate mappings
  `lookupStrategy` - lookup strategy for SOAP client context

## Method Details

### test

public boolean test(@Nullable MessageContext input)

Specified by:
  `test` in interface `Predicate<MessageContext>`